unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DB, ADODB, Grids, DBGrids, ComCtrls, ExtCtrls,
  QuickRpt, QRCtrls, QRPrntr, Printers, Jpeg, DBTables;

type
  TForm1 = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    QuickRep1: TQuickRep;
    Button1: TButton;
    Button2: TButton;
    QRBand4: TQRBand;
    QRImage1: TQRImage;
    DetailQry: TQuery;
    DetailQryOrderNo: TFloatField;
    DetailQryQty: TIntegerField;
    DetailQryItemNo: TFloatField;
    DataSource1: TDataSource;
    MasterQry: TQuery;
    MasterQrycompany: TStringField;
    MasterQryorderno: TFloatField;
    MasterQrycustno: TFloatField;
    MasterQryItemsTotal: TCurrencyField;
    QuickRep2: TQuickRep;
    DetailBand1: TQRBand;
    QRDBText2: TQRDBText;
    QRGroup1: TQRGroup;
    QRDBText4: TQRDBText;
    QRSubDetail1: TQRSubDetail;
    QRDBText1: TQRDBText;
    QRDBText5: TQRDBText;
    QRBand1: TQRBand;
    QRExpr1: TQRExpr;
    QRBand2: TQRBand;
    QRExpr2: TQRExpr;
    SummaryBand1: TQRBand;
    QRExpr3: TQRExpr;
    ColumnHeaderBand1: TQRBand;
    QRLabel1: TQRLabel;
    QRLabel2: TQRLabel;
    QRLabel4: TQRLabel;
    QRLabel5: TQRLabel;
    QRLabel6: TQRLabel;
    QRLabel7: TQRLabel;
    QRLabel8: TQRLabel;
    PageHeaderBand1: TQRBand;
    QRSysData1: TQRSysData;
    QRSysData2: TQRSysData;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure QuickRep1BeforePrint(Sender: TCustomQuickRep;
      var PrintReport: Boolean);
    procedure QuickRep1NeedData(Sender: TObject; var MoreData: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  CurrentPage : Integer;
  TotalPage : Integer;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
//    ADOConnection1.Connected := True;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
//    ADOConnection1.Connected := False;
end;

procedure TForm1.Button1Click(Sender: TObject);

begin
    MasterQry.Close;
    MasterQry.Open;
    QuickRep2.Page.PaperSize := A5;
    QuickRep2.PrinterSettings.PaperSize := A5;
    QuickRep2.Page.Orientation := poLandscape;
    QuickRep2.Prepare;
    QuickRep2.Preview;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
    MasterQry.Close;
    MasterQry.Open;
    QuickRep2.Page.PaperSize := A5;
    QuickRep2.PrinterSettings.PaperSize := A5;
    QuickRep2.Page.Orientation := poLandscape;
    QuickRep1.Page.PaperSize := A4;
    QuickRep1.PrinterSettings.PaperSize := A4;
    QuickRep1.Page.Orientation := poPortrait;
    QuickRep2.Prepare;
    TotalPage := QuickRep2.QRPrinter.PageCount;
    QuickRep1.Preview;
end;

procedure TForm1.QuickRep1BeforePrint(Sender: TCustomQuickRep;
  var PrintReport: Boolean);
begin
    CurrentPage := 0;
end;

procedure TForm1.QuickRep1NeedData(Sender: TObject; var MoreData: Boolean);
begin
    Inc(CurrentPage);
    MoreData := (CurrentPage <= TotalPage);
    IF MoreData THEN
        BEGIN
            TRY
                QuickRep2.QRPrinter.PageNumber := CurrentPage;
                QRImage1.Picture.Assign(QuickRep2.QRPrinter.Page);
            EXCEPT
            END;
        END;
end;

end.
